Debian Bug report logs - #584889
bittwist: Fails to work in 64bit-systems

version graph

Package: bittwist; Maintainer for bittwist is Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>; Source for bittwist is src:bittwist.

Reported by: Arne Wichmann <aw@linux.de>

Date: Mon, 7 Jun 2010 11:51:01 UTC

Severity: grave

Tags: fixed-upstream, upstream

Found in version bittwist/1.1-1

Fixed in versions 1.1-1+rm, bittwist/2.0-2

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
Bug#584889; Package bittwist. (Mon, 07 Jun 2010 11:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arne Wichmann <aw@linux.de>:
New Bug report received and forwarded. Copy sent to Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>. (Mon, 07 Jun 2010 11:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Arne Wichmann <aw@linux.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bittwist: Fails to work in 64bit-systems
Date: Mon, 7 Jun 2010 13:41:47 +0200
Package: bittwist
Version: 1.1-1
Severity: normal


When trying to use bittwist to send captured packets using an 
amd64-system it sent garbage. The affixed patch corrected this.

-- snip --
diff -ru bittwist-1.1/src/bittwist.c bittwist-1.1-patched/src/bittwist.c
--- bittwist-1.1/src/bittwist.c 2010-02-19 09:16:54.000000000 +0100
+++ bittwist-1.1-patched/src/bittwist.c 2010-04-19 17:37:45.000000000 +0200
@@ -190,7 +190,7 @@
 {
     FILE *fp; /* file pointer to trace file */
     struct pcap_file_header preamble;
-    struct pcap_pkthdr header;
+    struct pcap_sf_pkthdr header;
     int pkt_len; /* packet length to send */
     int ret;
     int i;
@@ -223,7 +223,10 @@
             error("fread(): error reading %s", trace_file);
 
         /* copy timestamp for current packet */
-        memcpy(&cur_ts, &header.ts, sizeof(struct timeval));
+       struct pcap_timeval ptime;
+       memcpy(&ptime, &header.ts, sizeof(ptime));
+       cur_ts.tv_sec = ptime.tv_sec;
+       cur_ts.tv_usec = ptime.tv_usec;
 
         if (len < 0)        /* captured length */
             pkt_len = header.caplen;
diff -ru bittwist-1.1/src/def.h bittwist-1.1-patched/src/def.h
--- bittwist-1.1/src/def.h      2010-02-19 09:16:54.000000000 +0100
+++ bittwist-1.1-patched/src/def.h      2010-04-19 17:35:39.000000000 +0200
@@ -43,6 +43,17 @@
 #endif
 #include <pcap.h>
 
+struct pcap_timeval {
+    bpf_int32 tv_sec;           /* seconds */
+    bpf_int32 tv_usec;          /* microseconds */
+};
+
+struct pcap_sf_pkthdr {
+    struct pcap_timeval ts;     /* time stamp */
+    bpf_u_int32 caplen;         /* length of portion present */
+    bpf_u_int32 len;            /* length this packet (off wire) */
+};
+
 #define BITTWIST_VERSION    "1.1"
 #define BITTWISTE_VERSION   BITTWIST_VERSION
 #define BITTWISTB_VERSION   BITTWIST_VERSION

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/4 CPU cores)
Shell: /bin/sh linked to /bin/dash

Versions of packages bittwist depends on:
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib
ii  libpcap0.8                    1.0.0-6    system interface for user-level pa

Versions of packages bittwist recommends:
ii  tcpdump                       4.1.1-1    A powerful tool for network monito

Versions of packages bittwist suggests:
pn  wireshark                     <none>     (no description available)

-- debconf information:






Information forwarded to debian-bugs-dist@lists.debian.org, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
Bug#584889; Package bittwist. (Mon, 07 Jun 2010 12:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>. (Mon, 07 Jun 2010 12:24:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Eriberto <eriberto@eriberto.pro.br>
To: Arne Wichmann <aw@linux.de>, 584889@bugs.debian.org, ayeowch@gmail.com
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#584889: bittwist: Fails to work in 64bit-systems
Date: Mon, 7 Jun 2010 09:18:51 -0300 (BRT)
[Message part 1 (text/plain, inline)]
Thanks a lot Arne! I am sending this reply to the upstream also.

Addy, can you make available a new version for download?

Regards,

Eriberto - Brazil



2010/6/7 Arne Wichmann <aw@linux.de>:
> Package: bittwist
> Version: 1.1-1
> Severity: normal
>
>
> When trying to use bittwist to send captured packets using an
> amd64-system it sent garbage. The affixed patch corrected this.
>
> -- snip --
> diff -ru bittwist-1.1/src/bittwist.c bittwist-1.1-patched/src/bittwist.c
> --- bittwist-1.1/src/bittwist.c 2010-02-19 09:16:54.000000000 +0100
> +++ bittwist-1.1-patched/src/bittwist.c 2010-04-19 17:37:45.000000000 +0200
> @@ -190,7 +190,7 @@
>  {
>     FILE *fp; /* file pointer to trace file */
>     struct pcap_file_header preamble;
> -    struct pcap_pkthdr header;
> +    struct pcap_sf_pkthdr header;
>     int pkt_len; /* packet length to send */
>     int ret;
>     int i;
> @@ -223,7 +223,10 @@
>             error("fread(): error reading %s", trace_file);
>
>         /* copy timestamp for current packet */
> -        memcpy(&cur_ts, &header.ts, sizeof(struct timeval));
> +       struct pcap_timeval ptime;
> +       memcpy(&ptime, &header.ts, sizeof(ptime));
> +       cur_ts.tv_sec = ptime.tv_sec;
> +       cur_ts.tv_usec = ptime.tv_usec;
>
>         if (len < 0)        /* captured length */
>             pkt_len = header.caplen;
> diff -ru bittwist-1.1/src/def.h bittwist-1.1-patched/src/def.h
> --- bittwist-1.1/src/def.h      2010-02-19 09:16:54.000000000 +0100
> +++ bittwist-1.1-patched/src/def.h      2010-04-19 17:35:39.000000000 +0200
> @@ -43,6 +43,17 @@
>  #endif
>  #include <pcap.h>
>
> +struct pcap_timeval {
> +    bpf_int32 tv_sec;           /* seconds */
> +    bpf_int32 tv_usec;          /* microseconds */
> +};
> +
> +struct pcap_sf_pkthdr {
> +    struct pcap_timeval ts;     /* time stamp */
> +    bpf_u_int32 caplen;         /* length of portion present */
> +    bpf_u_int32 len;            /* length this packet (off wire) */
> +};
> +
>  #define BITTWIST_VERSION    "1.1"
>  #define BITTWISTE_VERSION   BITTWIST_VERSION
>  #define BITTWISTB_VERSION   BITTWIST_VERSION
>
> -- System Information:
> Debian Release: squeeze/sid
>  APT prefers testing
>  APT policy: (500, 'testing')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 2.6.32-trunk-amd64 (SMP w/4 CPU cores)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages bittwist depends on:
> ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib
> ii  libpcap0.8                    1.0.0-6    system interface for user-level pa
>
> Versions of packages bittwist recommends:
> ii  tcpdump                       4.1.1-1    A powerful tool for network monito
>
> Versions of packages bittwist suggests:
> pn  wireshark                     <none>     (no description available)
>
> -- debconf information:
>
>
>
>
>

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
Bug#584889; Package bittwist. (Mon, 07 Jun 2010 12:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>. (Mon, 07 Jun 2010 12:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
Bug#584889; Package bittwist. (Sat, 21 Apr 2012 19:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Addy Yeow <ayeowch@gmail.com>:
Extra info received and forwarded to list. Copy sent to Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>. (Sat, 21 Apr 2012 19:27:03 GMT) Full text and rfc822 format available.

Message #20 received at submit@bugs.debian.org (full text, mbox):

From: Addy Yeow <ayeowch@gmail.com>
To: Eriberto <eriberto@eriberto.pro.br>
Cc: Arne Wichmann <aw@linux.de>, 584889@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#584889: bittwist: Fails to work in 64bit-systems
Date: Sun, 22 Apr 2012 03:24:50 +0800
[Message part 1 (text/plain, inline)]
Thanks Arne and Eriberto. This is fixed now in Bit-Twist 2.0.
Sorry it took almost 2 years!

On Mon, Jun 7, 2010 at 8:18 PM, Eriberto <eriberto@eriberto.pro.br> wrote:

> Thanks a lot Arne! I am sending this reply to the upstream also.
>
> Addy, can you make available a new version for download?
>
> Regards,
>
> Eriberto - Brazil
>
>
>
> 2010/6/7 Arne Wichmann <aw@linux.de>:
>
>> Package: bittwist
>> Version: 1.1-1
>> Severity: normal
>>
>>
>> When trying to use bittwist to send captured packets using an
>> amd64-system it sent garbage. The affixed patch corrected this.
>>
>> -- snip --
>> diff -ru bittwist-1.1/src/bittwist.c bittwist-1.1-patched/src/**
>> bittwist.c
>> --- bittwist-1.1/src/bittwist.c 2010-02-19 09:16:54.000000000 +0100
>> +++ bittwist-1.1-patched/src/**bittwist.c 2010-04-19 17:37:45.000000000
>> +0200
>> @@ -190,7 +190,7 @@
>>  {
>>     FILE *fp; /* file pointer to trace file */
>>     struct pcap_file_header preamble;
>> -    struct pcap_pkthdr header;
>> +    struct pcap_sf_pkthdr header;
>>     int pkt_len; /* packet length to send */
>>     int ret;
>>     int i;
>> @@ -223,7 +223,10 @@
>>             error("fread(): error reading %s", trace_file);
>>
>>         /* copy timestamp for current packet */
>> -        memcpy(&cur_ts, &header.ts, sizeof(struct timeval));
>> +       struct pcap_timeval ptime;
>> +       memcpy(&ptime, &header.ts, sizeof(ptime));
>> +       cur_ts.tv_sec = ptime.tv_sec;
>> +       cur_ts.tv_usec = ptime.tv_usec;
>>
>>         if (len < 0)        /* captured length */
>>             pkt_len = header.caplen;
>> diff -ru bittwist-1.1/src/def.h bittwist-1.1-patched/src/def.h
>> --- bittwist-1.1/src/def.h      2010-02-19 09:16:54.000000000 +0100
>> +++ bittwist-1.1-patched/src/def.h      2010-04-19 17:35:39.000000000
>> +0200
>> @@ -43,6 +43,17 @@
>>  #endif
>>  #include <pcap.h>
>>
>> +struct pcap_timeval {
>> +    bpf_int32 tv_sec;           /* seconds */
>> +    bpf_int32 tv_usec;          /* microseconds */
>> +};
>> +
>> +struct pcap_sf_pkthdr {
>> +    struct pcap_timeval ts;     /* time stamp */
>> +    bpf_u_int32 caplen;         /* length of portion present */
>> +    bpf_u_int32 len;            /* length this packet (off wire) */
>> +};
>> +
>>  #define BITTWIST_VERSION    "1.1"
>>  #define BITTWISTE_VERSION   BITTWIST_VERSION
>>  #define BITTWISTB_VERSION   BITTWIST_VERSION
>>
>> -- System Information:
>> Debian Release: squeeze/sid
>>  APT prefers testing
>>  APT policy: (500, 'testing')
>> Architecture: amd64 (x86_64)
>>
>> Kernel: Linux 2.6.32-trunk-amd64 (SMP w/4 CPU cores)
>> Shell: /bin/sh linked to /bin/dash
>>
>> Versions of packages bittwist depends on:
>> ii  libc6                         2.10.2-6   Embedded GNU C Library:
>> Shared lib
>> ii  libpcap0.8                    1.0.0-6    system interface for
>> user-level pa
>>
>> Versions of packages bittwist recommends:
>> ii  tcpdump                       4.1.1-1    A powerful tool for network
>> monito
>>
>> Versions of packages bittwist suggests:
>> pn  wireshark                     <none>     (no description available)
>>
>> -- debconf information:
>>
>>
>>
>>
>>
>>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
Bug#584889; Package bittwist. (Sat, 21 Apr 2012 19:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Addy Yeow <ayeowch@gmail.com>:
Extra info received and forwarded to list. Copy sent to Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>. (Sat, 21 Apr 2012 19:27:04 GMT) Full text and rfc822 format available.

Added tag(s) upstream and fixed-upstream. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. (Wed, 16 May 2012 21:48:03 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'normal' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 26 Jul 2012 09:39:08 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 27 Oct 2012 10:15:03 GMT) Full text and rfc822 format available.

Notification sent to Arne Wichmann <aw@linux.de>:
Bug acknowledged by developer. (Sat, 27 Oct 2012 10:15:03 GMT) Full text and rfc822 format available.

Message #34 received at 584889-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 584889-done@bugs.debian.org,661024-done@bugs.debian.org,668947-done@bugs.debian.org,
Cc: bittwist@packages.debian.org, bittwist@packages.qa.debian.org
Subject: Bug#690391: Removed package(s) from unstable
Date: Sat, 27 Oct 2012 10:10:50 +0000
Version: 1.1-1+rm

Dear submitter,

as the package bittwist has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/690391

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)



Information forwarded to debian-bugs-dist@lists.debian.org, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
Bug#584889; Package bittwist. (Thu, 13 Jun 2013 21:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladk@debian.org>:
Extra info received and forwarded to list. Copy sent to Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>. (Thu, 13 Jun 2013 21:33:04 GMT) Full text and rfc822 format available.

Message #39 received at 584889@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladk@debian.org>
To: control@bugs.debian.org
Cc: 584889@bugs.debian.org, 668947@bugs.debian.org
Date: Thu, 13 Jun 2013 23:30:46 +0200
fixed 584889 2.0-2
fixed 668947 2.0-2
thanks



Marked as fixed in versions bittwist/2.0-2. Request was from Anton Gladky <gladk@debian.org> to control@bugs.debian.org. (Thu, 13 Jun 2013 21:33:12 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 13 Jul 2013 07:33:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:10:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.